Description

Some simple symbols, such as "line" or "arrowhead" only consist of outlines. When changing the color of the symbol, only the fill color is

changed automatically, while the outline color remains unchanged. This means that outline-only symbols cannot comfortably be used in

graduated or categorized renderers because their color does not change automatically.

I'm aware of the workaround of using the @symbol_color expression but this still has the disadvantage of not generating a usable legend.

Associated revisions

Revision 9f0ae9b4 - 2016-06-27 02:17 AM - Nyall Dawson

Make outline only simple markers work with categorised/graduated

etc renderers (fix #15132)

History

#1 - 2016-06-25 09:13 AM - Harrissou Santanna

+1

I often fail on changing color and then remark that it was about fill color (which was None in my symbol) instead of outline's.

@Anita, isn't @symbol_color about fill color, too?

#2 - 2016-06-25 12:01 PM - Anita Graser

@Harrissou symbol color is usually applied to symbol layer fill colors but with data defined overrides, users can also define to apply it to outline colors. (But

this is not reflected in the layer legend unfortunately, because there is no legend for data defined overrides.)

#3 - 2016-06-26 05:18 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"9f0ae9b4084eaec65635ee5d9d1574b55ee0100d".
